Subject: Re: [DNSOP] draft-ietf-dnsop-dns-terminology needs to define "label"?

From: Tony Finch <[email-masked]>
Date: Fri, 1 May 2015 13:20:50 +0100

Eric Brunner-Williams <[email-masked]> wrote:

> i'd like to think of it as a sequence of bits having having no infix dots and
> having no semantics, e.g., directionality, arising externally to itself.

Dots are allowed in labels but have to be escaped in the presentation
format. RFC 1035 section 5.1:

    \X          where X is any character other than a digit (0-9), is
                used to quote that character so that its special meaning
                does not apply.  For example, "\." can be used to place
                a dot character in a label.

Tony.
-- 
f.anthony.n.finch  <[email-masked]>  http://dotat.at/
East Sole, Lundy, Fastnet: Cyclonic at times in east Sole, otherwise
southeasterly 5 to 7. Moderate or rough. Occasional rain, fog patches.
Moderate, occasionally very poor, becoming good at times.

---

From: Edward Lewis <[email-masked]>
Date: Fri, 1 May 2015 15:24:38 +0000

>                a dot character in a label.

Had the same thought too.

The context in which infix dots and directionality come to light is in the
registration of names, particularly IDNs.  But that is not a universal
concern in when it comes to defining a label.

A label is a component of a domain name.  That applies to the wire format
or the printed representation.  On the wire it is an octet indicating type
and length followed by the data.  In printed form it is the stuff between
unescaped separators [which happen to be '.' now/but don't have to be].

---

From: Stephane Bortzmeyer <[email-masked]>
Date: Fri, 1 May 2015 20:50:33 +0200

On Wed, Apr 29, 2015 at 03:39:15PM -0700,
 Paul Hoffman <[email-masked]> wrote 
 a message of 12 lines which said:

> What do others think?

I regret that draft-ietf-dnsop-dns-terminology-01 keeps using a wrong
definition for "RRset", which is contradictory with the definitions
proposed in this thread for "label":

A set of resource records with the same label, class and type, but
with different data.

While it should be:

A set of resource records with the same owner name (FQDN), class and
type, but with different data.

---

From: Paul Hoffman <[email-masked]>
Date: Fri, 1 May 2015 12:37:30 -0700

> A set of resource records with the same label, class and type, but

And, two sentences later, it says:
   As a clarification, "same label" in this definition means "same owner name".

> type, but with different data.

We coud do that, and change the attribution to be "(Definition derived from from {{RFC2181}})", but is that really needed, given the current clarification?

--Paul Hoffman

---

From: manning <[email-masked]>
Date: Sat, 2 May 2015 17:29:28 -0700

this is what I think of when I look at the DNS protocol.   Well done Lyman!

manning

[email-masked]
PO Box 12317
Marina del Rey, CA 90295
310.322.8102

On 30April2015Thursday, at 8:14, Lyman Chapin <[email-masked]> wrote:

> 
> On Apr 29, 2015, at 6:39 PM, Paul Hoffman wrote:
> 
>> On Apr 29, 2015, at 2:44 PM, Suzanne Woolf <[email-masked]> wrote:
>>> I'm suggesting a new definition in Sec. 2, as follows: 
>>> 
>>> "Label -- The portion of a domain name at each node in the tree making up a fully-qualified domain name" 
>> 
>> Works for me. What do others think?
> 
> I'm uncomfortable with both "portion" and "making up." Labels are the "atoms" from which FQDN compounds are constructed, and "portion" isn't precise enough to capture that; and I don't think that "making up" will translate well beyond English. How about:
> 
> "Label - The identifier of an individual node in the sequence of nodes that comprise a fully-qualified domain name."
> 
> - Lyman
> 
> 
> _______________________________________________
> DNSOP mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dnsop